Subject: Re: [PATCH RFC net-next 0/2] pds_core: add switchdev and tc for vlan offload

From: Jakub Kicinski <[email-masked]>
Date: Wed, 3 May 2023 18:27:08 -0700

On Wed, 3 May 2023 15:49:27 -0700 Shannon Nelson wrote:
> Given that there is no traffic to the host PF in this case, and I can't 
> do anything more than wave my hands at vague promises for the future, 
> perhaps tc and representors is the wrong path for now.

If it's not a priority for AMD to have an upstream implementation
that's fine. There's not point over-complicating the discussion.

> But there remains a need for some port related configuration.  I can 
> take a stab at adding this concept to "devlink port function" and see 
> what discussion follows from there.

You mean setting vlan encap via devlink?
I don't know why you'd do that. It will certainly aggravate me,
and I doubt anyone will care/support you.